@mixin sizeVariant($name, $size) {
  &--#{$name} {
    font-size: var(--font-size-#{$size});

    svg {
      height: var(--font-size-#{$size});
    }
  }
}

@mixin colorVariant($name, $color) {
  &--#{$name} {
    color: var(--state-color-#{$color});
  }
}

.rui-icon-text {
  display: inline-flex;
  align-items: center;
  gap: var(--spacer-tiny);

  @include sizeVariant('large', 'medium');
  @include sizeVariant('small', 'small');
  @include colorVariant('info', 'blue');
  @include colorVariant('success', 'green');
  @include colorVariant('warning', 'orange');
  @include colorVariant('danger', 'red');
  @include colorVariant('mute', 'mute');

  .rui-icon {
    flex: none;
  }
}
